<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>List Users for Admin</title>
</head>
<body>
<form th:method = "GET" th:action="@{/userslist}" th:object="${users}">
<h1>List Users</h1>
<table>
    <tr>
        <th>ID</th>
        <th>NAME</th>
        <th>PASSWORD</th>
        <th>EMAIL</th>
    </tr>
    <tr th:each="user : ${users}">
        <td th:text = "${user.getId()}">Id</td>
        <td th:text = "${user.getName()}" >Name</td>
        <td th:text = "${user.getPassword()}">Password</td>
        <td th:text = "${user.getEmail()}">Email</td>
    </tr>
</table>
</form>
</body>
</html>